'\" rtp
.\" -*- nroff -*- vim: ft=nroff nocin nosi
.\"
.\" @(#) strbcm.5.man,v 0.9.2.3 2006/10/10 10:39:46 brian Exp
.\"
.\" =========================================================================
.\"
.\" Copyright (c) 2001-2006  OpenSS7 Corporation <http://www.openss7.com/>
.\"
.\" All Rights Reserved.
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.  The author(s) will take no responsibility in it.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" -------------------------------------------------------------------------
.\"
.\" U.S. GOVERNMENT RESTRICTED RIGHTS.  If you are licensing this Software
.\" on behalf of the U.S. Government ("Government"), the following
.\" provisions apply to you.  If the Software is supplied by the Department
.\" of Defense ("DoD"), it is classified as "Commercial Computer Software"
.\" under paragraph 252.227-7014 of the DoD Supplement to the Federal
.\" Acquisition Regulations ("DFARS") (or any successor regulations) and the
.\" Government is acquiring only the license rights granted herein (the
.\" license rights customarily provided to non-Government users).  If the
.\" Software is supplied to any unit or agency of the Government other than
.\" DoD, it is classified as "Restricted Computer Software" and the
.\" Government's rights in the Software are defined in paragraph 52.227-19
.\" of the Federal Acquisition Regulations ("FAR") (or any successor
.\" regulations) or, in the cases of NASA, in paragraph 18.52.227-86 of the
.\" NASA Supplement to the FAR (or any successor regulations).
.\"
.\" =========================================================================
.\" 
.\" Commercial licensing and support of this software is available from
.\" OpenSS7 Corporation at a fee.  See http://www.openss7.com/
.\" 
.\" =========================================================================
.\"
.\" Last Modified 2006/10/10 10:39:46 by brian
.\"
.\" -------------------------------------------------------------------------
.\"
.\" strbcm.5.man,v
.\" Revision 0.9.2.3  2006/10/10 10:39:46  brian
.\" - updates for release
.\"
.\" Revision 0.9.2.2  2006/10/06 12:18:46  brian
.\" - updated manual pages to pass make check and for release
.\" - updated release files for release
.\"
.\" Revision 0.9.2.1  2006/09/29 11:40:00  brian
.\" - new files for strtty package and manual pages
.\"
.\" =========================================================================
.R1
bracket-label "\fR[\fB" "\fR]" "\fR, \fB"
no-default-database
database strbcm.refs
accumulate
move-punctuation
abbreviate A
join-authors ", " ", " " and "
et-al " et al" 2 3
abbreviate-label-ranges ".."
sort-adjacent-labels
.R2
.so strbcm.macros
.\"
.\"
.TH STRBCM 5 "@PACKAGE_DATE@" "@PACKAGE@-@VERSION@" "@PACKAGE_TITLE@ System File Formats"
.\"
.\"
.SH NAME
.B @PACKAGE@
\- @PACKAGE_TITLE@ package
.\"
.\"
.SH OVERVIEW
.PP
This is the
.BR "@PACKAGE_TITLE@ " ( @PACKAGE@-@VERSION@ )
package for
.B "Linux Fast-STREAMS" .
.\"
.\"
.SH DESCRIPTION
.PP
The
.I @PACKAGE_TITLE@
package provides
.I STREAMS
modules and drivers, programs and daemons for the compilation
of externally supplied source and binary
.I STREAMS
modules.
.PP
The
.I @PACKAGE_TITLE@
package includes
kernel modules,
.I "SVR 4.2"
.I STREAMS
drivers, modules, libraries, utilities, test programs, daemons, and
development environment for the development and execution of
.I STREAMS
modules and drivers.  This package contains primarily a framework for the
compilation and linkage of externally supplied source and binary modules.
.PP
This distribution is only currently applicable to
.B Linux
2.4 and 2.6 kernels and was targetted at
.IR ix86 ", " x86_64 ", " ppc " and " ppc64
architectures, but should build and install for other architectures as well.
.PP
This package is currently incomplete.  It is being released as a
reference point for the community.  If you are interested in completion
of this package, contact
.RB < info@openss7.com >.
.\"
.\"
.SH "PACKAGE CONTENTS"
.PP
The
.BR "@PACKAGE_TITLE@ " ( @PACKAGE@-@VERSION@ )
package contains the following manual pages:
.HP
.BR tstdrv (4)\ \-\ \c
test driver.
.PD 0
.HP
.BR tstmod (4)\ \-\ \c
test module.
.HP
.BR strbcm (5)\ \-\ \c
@PACKAGE@-@VERSION@ package.
.HP
.BR strbcm_mknod (8)\ \-\ \c
create @PACKAGE@ devices.
.HP
.BR test-bcm (8)\ \-\ \c
test case executable.
.PD
.\"
.\"
.\".SH NOTICES
.\".PP
.\"
.\"
.\".SH EXAMPLES
.\".PP
.\"
.\"
.SH DEVICES
.PP
The
.BR testdrv (4)
driver.
.\"
.\"
.SH MODULES
.PP
The
.BR testmod (4)
module.
.\"
.\"
.\".SH FILES
.\".PP
.\"
.\"
.SH "SEE ALSO"
.PP
.BR tstdrv (4),
.BR tstmod (4),
.BR strbcm_mknod (8),
.BR test-bcm (8).
.\"
.\"
.\".SH COMPATIBILITY
.\".PP
.\"
.\"
.\".SH CONFORMANCE
.\".PP
.\"
.\"
.SH HISTORY
.PP
The
.B @PACKAGE@
package is part of OpenSS7
.B "Linux Fast-STREAMS" .
.[
LfS
.]
.\"
.\"
.[
$LIST$
.]
.TI
